Overview sometimes fails to appear or disappear in gnome-shell 3.38

Bug #1922353 reported by Gipsz Jakab
368
This bug affects 88 people
Affects Status Importance Assigned to Milestone
GNOME Shell
Unknown
Unknown
gnome-shell (Ubuntu)
High
Marco Trevisan (Treviño)
Hirsute
High
Daniel van Vugt
Impish
High
Marco Trevisan (Treviño)

Bug Description

[Impact]

Shell overview gets stuck where it's permanently toggled but not visible. Only app windows appear in their overview state. Can't interact with applications anymore.

[Test Plan]

1. Log into GNOME.
2. Press Super+A
3. Click on 'Files' and wait till it has launched.
4. Press the Super key.
Expect: Can interact with the application window.

[Where problems could occur]

Since the patch affects some of the core gnome-shell layout logic, anything is possible. Risk has been mitigated by the patch being small.

[Original description]

When I press the "windows" or "options" or "super" key a list of running applications (like alt-tab) and a text window appears. I can choose from the running applications or write a command into the text window. After I chose an application or press ESC all this disappear and I can do my thing.

Since trying 21.04 sometimes this
1. does not appear properly - there is no visible text window
2. does not disappear - despite what I click on or what keys do I press this never disappear so I can not use my running applications or start anything new even from the menu.

I have to log out and in to break this.

Disabling my gnome-shell extensions or using xorg instead of wayland does not helps.

Since upgrading this morning this happens every time I press Super, not just occasionally, thus making my desktop unusable.

ProblemType: Bug
DistroRelease: Ubuntu 21.04
Package: gnome-shell 3.38.4-1ubuntu1
ProcVersionSignature: Ubuntu 5.11.0-13.14-generic 5.11.7
Uname: Linux 5.11.0-13-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
ApportVersion: 2.20.11-0ubuntu61
Architecture: amd64
CasperMD5CheckResult: unknown
CurrentDesktop: ubuntu:GNOME
Date: Fri Apr 2 14:07:39 2021
DisplayManager: gdm3
InstallationDate: Installed on 2020-03-19 (378 days ago)
InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
RelatedPackageVersions: mutter-common 3.38.4-1ubuntu1
SourcePackage: gnome-shell
UpgradeStatus: Upgraded to hirsute on 2021-03-06 (27 days ago)

Revision history for this message
Gipsz Jakab (tudorapo) wrote :
Revision history for this message
Daniel van Vugt (vanvugt) wrote : Re: Overview sometimes fail to appear or disappear and [JS ERROR: Error: Wrong type number; float expected. But it's out of range: -Infinity ...]
summary: - Gnome is failing at the "show applications" function
+ Overview sometimes fail to appear or disappear and [JS ERROR: Error:
+ Wrong type number; float expected. But it's out of range: -Infinity ...]
Changed in gnome-shell (Ubuntu):
importance: Undecided → High
status: New → Confirmed
summary: Overview sometimes fail to appear or disappear and [JS ERROR: Error:
- Wrong type number; float expected. But it's out of range: -Infinity ...]
+ Wrong type number; float expected. But it's out of range: -Infinity ...
+ from _syncWorkspacesActualGeometry workspacesView.js:728]
tags: added: rls-hh-incoming
Revision history for this message
Iain Lane (laney) wrote : Re: Overview sometimes fail to appear or disappear and [JS ERROR: Error: Wrong type number; float expected. But it's out of range: -Infinity ... from _syncWorkspacesActualGeometry workspacesView.js:728]

We think this is fixed with the latest gjs in hirsute; can someone see if they can still reproduce?

Changed in gnome-shell (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

It's caused by the latest gjs, not fixed by it :)

Changed in gnome-shell (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

I mean this bug is caused by recent gjs changes, not the latest version. The latest version (which Dependencies.txt shows is installed) appears to revert some of the error checking but maybe not all of it. Hence we still have this bug.

Changed in gnome-shell (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
Changed in gnome-shell (Ubuntu):
status: Confirmed → In Progress
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

I can reproduce the JavaScript errors, but not the overview failing to appear. Maybe those are different bugs, or maybe not. They sound awfully related. Please try disabling/uninstalling these extensions and tell us if the situation improves:

'<email address hidden>',
'suspend-button@laserb',
'<email address hidden>'

At the same time I will look into the JavaScript errors under the heading of https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/3969

Revision history for this message
Gipsz Jakab (tudorapo) wrote : Re: [Bug 1922353] Re: Overview sometimes fail to appear or disappear and [JS ERROR: Error: Wrong type number; float expected. But it's out of range: -Infinity ... from _syncWorkspacesActualGeometry workspacesView.js:728]

I can not test right now, but I disabled the clock-override (as it was not
working) and after that the issue have not happened. I can test nad upload
logs tonight.

Regards,
tg

On Wed, 7 Apr 2021 at 10:55, Daniel van Vugt <email address hidden>
wrote:

> I can reproduce the JavaScript errors, but not the overview failing to
> appear. Maybe those are different bugs, or maybe not. They sound awfully
> related. Please try disabling/uninstalling these extensions and tell us
> if the situation improves:
>
> '<email address hidden>',
> 'suspend-button@laserb',
> '<email address hidden>'
>
> At the same time I will look into the JavaScript errors under the
> heading of https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/3969
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1922353
>
> Title:
> Overview sometimes fail to appear or disappear and [JS ERROR: Error:
> Wrong type number; float expected. But it's out of range: -Infinity
> ... from _syncWorkspacesActualGeometry workspacesView.js:728]
>
> Status in GNOME Shell:
> Unknown
> Status in gnome-shell package in Ubuntu:
> In Progress
>
> Bug description:
> When I press the "windows" or "options" or "super" key a list of
> running applications (like alt-tab) and a text window appears. I can
> choose from the running applications or write a command into the text
> window. After I chose an application or press ESC all this disappear
> and I can do my thing.
>
> Since trying 21.04 sometimes this
> 1. does not appear properly - there is no visible text window
> 2. does not disappear - despite what I click on or what keys do I press
> this never disappear so I can not use my running applications or start
> anything new even from the menu.
>
> I have to log out and in to break this.
>
> Disabling my gnome-shell extensions or using xorg instead of wayland
> does not helps.
>
> Since upgrading this morning this happens every time I press Super,
> not just occasionally, thus making my desktop unusable.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 21.04
> Package: gnome-shell 3.38.4-1ubuntu1
> ProcVersionSignature: Ubuntu 5.11.0-13.14-generic 5.11.7
> Uname: Linux 5.11.0-13-generic x86_64
> NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
> ApportVersion: 2.20.11-0ubuntu61
> Architecture: amd64
> CasperMD5CheckResult: unknown
> CurrentDesktop: ubuntu:GNOME
> Date: Fri Apr 2 14:07:39 2021
> DisplayManager: gdm3
> InstallationDate: Installed on 2020-03-19 (378 days ago)
> InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
> RelatedPackageVersions: mutter-common 3.38.4-1ubuntu1
> SourcePackage: gnome-shell
> UpgradeStatus: Upgraded to hirsute on 2021-03-06 (27 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-shell/+bug/1922353/+subscriptions
>

--
we do what we must because we can

Changed in gnome-shell (Ubuntu):
status: In Progress → Incomplete
no longer affects: gnome-shell
Changed in gnome-shell (Ubuntu):
assignee: Daniel van Vugt (vanvugt) → nobody
tags: removed: rls-hh-incoming
summary: - Overview sometimes fail to appear or disappear and [JS ERROR: Error:
- Wrong type number; float expected. But it's out of range: -Infinity ...
- from _syncWorkspacesActualGeometry workspacesView.js:728]
+ Overview sometimes fails to appear or disappear fully
Revision history for this message
Daniel van Vugt (vanvugt) wrote : Re: Overview sometimes fails to appear or disappear fully

To anyone who can reproduce this bug:

Please try disabling 'Ubuntu Dock' in the 'Extensions' app and tell us if that fixes it.

While the Ubuntu Dock is disabled you can still access the overview via the Super key, Super+A, or by clicking on 'Activities'.

Revision history for this message
Gipsz Jakab (tudorapo) wrote :

Hi,

I played with the various extensions I have. Disabling every extension seems to cure the problem. Enabling ubuntu dock or dash to panel seems to bring the issue back. I try to attach the journal.

Regards,

tg

summary: - Overview sometimes fails to appear or disappear fully
+ Overview sometimes fails to appear or disappear fully when Ubuntu Dock
+ is loaded
affects: gnome-shell (Ubuntu) → gnome-shell-extension-ubuntu-dock (Ubuntu)
Revision history for this message
Daniel van Vugt (vanvugt) wrote : Re: Overview sometimes fails to appear or disappear fully when Ubuntu Dock is loaded

I am /hopeful/ this bug is a side-effect of https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/3969 but am not yet sure...

Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
status: Incomplete → Confirmed
Changed in gnome-shell (Ubuntu):
status: New → Confirmed
importance: Undecided → High
tags: added: rls-hh-incoming
Revision history for this message
Gipsz Jakab (tudorapo) wrote :

Hi,

A new event, without any extensions, after starting a movie using VLC.
Unable to reproduce.

Regards.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Can you rephrase that? Is this bug still occurring?

Revision history for this message
Gipsz Jakab (tudorapo) wrote : Re: [Bug 1922353] Re: Overview sometimes fails to appear or disappear fully when Ubuntu Dock is loaded

Yes, the bug occurred once, without any extensions active.

tg

On Mon, 19 Apr 2021 at 04:55, Daniel van Vugt
<email address hidden> wrote:
>
> Can you rephrase that? Is this bug still occurring?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1922353
>
> Title:
> Overview sometimes fails to appear or disappear fully when Ubuntu Dock
> is loaded
>
> Status in gnome-shell package in Ubuntu:
> Confirmed
> Status in gnome-shell-extension-ubuntu-dock package in Ubuntu:
> Confirmed
>
> Bug description:
> When I press the "windows" or "options" or "super" key a list of
> running applications (like alt-tab) and a text window appears. I can
> choose from the running applications or write a command into the text
> window. After I chose an application or press ESC all this disappear
> and I can do my thing.
>
> Since trying 21.04 sometimes this
> 1. does not appear properly - there is no visible text window
> 2. does not disappear - despite what I click on or what keys do I press this never disappear so I can not use my running applications or start anything new even from the menu.
>
> I have to log out and in to break this.
>
> Disabling my gnome-shell extensions or using xorg instead of wayland
> does not helps.
>
> Since upgrading this morning this happens every time I press Super,
> not just occasionally, thus making my desktop unusable.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 21.04
> Package: gnome-shell 3.38.4-1ubuntu1
> ProcVersionSignature: Ubuntu 5.11.0-13.14-generic 5.11.7
> Uname: Linux 5.11.0-13-generic x86_64
> NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
> ApportVersion: 2.20.11-0ubuntu61
> Architecture: amd64
> CasperMD5CheckResult: unknown
> CurrentDesktop: ubuntu:GNOME
> Date: Fri Apr 2 14:07:39 2021
> DisplayManager: gdm3
> InstallationDate: Installed on 2020-03-19 (378 days ago)
> InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
> RelatedPackageVersions: mutter-common 3.38.4-1ubuntu1
> SourcePackage: gnome-shell
> UpgradeStatus: Upgraded to hirsute on 2021-03-06 (27 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1922353/+subscriptions

--
we do what we must because we can

Revision history for this message
Dave G (player-001) wrote : Re: Overview sometimes fails to appear or disappear fully when Ubuntu Dock is loaded

I am impacted by this bug. Ubuntu 21.04/Wayland. Only the Dash to Panel desktop extension is enabled. Problem started after upgrading from 20.10 to 21.04.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Dave, do you also experience the problem with NO extensions enabled?

summary: - Overview sometimes fails to appear or disappear fully when Ubuntu Dock
- is loaded
+ Overview sometimes fails to appear or disappear
summary: - Overview sometimes fails to appear or disappear
+ Overview sometimes fails to appear or disappear in 21.04
Revision history for this message
Xema Fuentes (xemafuentes) wrote : Re: Overview sometimes fails to appear or disappear in 21.04

It just happened to me, using X.org with and AMD graphics card and no extra extensions enabled.
Upgraded from Ubuntu 20.10 to 21.04.

Revision history for this message
Stephen Allen (stephen-d-allen) wrote :

I wonder if the recent Gnome 3.38.5 update addresses this?

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Is anyone affected able to build their own gnome-shell? If so then please try this patch:

https://gitlab.gnome.org/GNOME/gnome-shell/-/merge_requests/1794.patch

Revision history for this message
Gipsz Jakab (tudorapo) wrote : Re: [Bug 1922353] Re: Overview sometimes fails to appear or disappear in 21.04

Will try in the evening CET.

tg

On Mon, 10 May 2021 at 10:05, Daniel van Vugt
<email address hidden> wrote:
>
> Is anyone affected able to build their own gnome-shell? If so then
> please try this patch:
>
> https://gitlab.gnome.org/GNOME/gnome-shell/-/merge_requests/1794.patch
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1922353
>
> Title:
> Overview sometimes fails to appear or disappear in 21.04
>
> Status in gnome-shell package in Ubuntu:
> Confirmed
> Status in gnome-shell-extension-ubuntu-dock package in Ubuntu:
> Confirmed
>
> Bug description:
> When I press the "windows" or "options" or "super" key a list of
> running applications (like alt-tab) and a text window appears. I can
> choose from the running applications or write a command into the text
> window. After I chose an application or press ESC all this disappear
> and I can do my thing.
>
> Since trying 21.04 sometimes this
> 1. does not appear properly - there is no visible text window
> 2. does not disappear - despite what I click on or what keys do I press this never disappear so I can not use my running applications or start anything new even from the menu.
>
> I have to log out and in to break this.
>
> Disabling my gnome-shell extensions or using xorg instead of wayland
> does not helps.
>
> Since upgrading this morning this happens every time I press Super,
> not just occasionally, thus making my desktop unusable.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 21.04
> Package: gnome-shell 3.38.4-1ubuntu1
> ProcVersionSignature: Ubuntu 5.11.0-13.14-generic 5.11.7
> Uname: Linux 5.11.0-13-generic x86_64
> NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
> ApportVersion: 2.20.11-0ubuntu61
> Architecture: amd64
> CasperMD5CheckResult: unknown
> CurrentDesktop: ubuntu:GNOME
> Date: Fri Apr 2 14:07:39 2021
> DisplayManager: gdm3
> InstallationDate: Installed on 2020-03-19 (378 days ago)
> InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
> RelatedPackageVersions: mutter-common 3.38.4-1ubuntu1
> SourcePackage: gnome-shell
> UpgradeStatus: Upgraded to hirsute on 2021-03-06 (27 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1922353/+subscriptions

--
we do what we must because we can

tags: added: rls-ii-incoming
Revision history for this message
Daniel van Vugt (vanvugt) wrote : Re: Overview sometimes fails to appear or disappear in 21.04

I still can't reproduce this! Anyone who can, please:

1. Reproduce the problem.

2. Wait 10 seconds.

3. Reboot.

4. Run:

   journalctl -b-1 > prevboot.txt

5. Attach the resulting text file here.

6. Also check for any crashes using these instructions: https://wiki.ubuntu.com/Bugs/Responses#Missing_a_crash_report_or_having_a_.crash_attachment

Changed in gnome-shell (Ubuntu):
status: Confirmed → Incomplete
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Please also save time by REMOVING any non-Ubuntu extensions from your system before joining the discussion.

Revision history for this message
Frederik Feichtmeier (frederik-feichtmeier) wrote :

I am a bit unsure if I am experiencing the same error with gnome shell in 21.04 because the bug description is a bit vaque...

Anyhow since 21.04 sometimes after I pressed the app grid button (or super+A) the panel, the dock and everything else EXCEPT the window previews in the overview disappear. Since I am running in Xorg I can restart the shell with alt+f2->r but still this looks like a kind of big issue, imagining people using 21.04 are starting in wayland.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

If you are not using any extensions other than the Ubuntu ones then please follow the instructions in comment #20.

If you are using extra extensions then please be sure to uninstall them and verify your bug still exists, then follow the instructions in comment #20.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Interesting comment #11 also shows this, which might be the problem (related to gjs):

ápr 16 18:54:40 capali gnome-shell[3272]: value "nan" of type 'gdouble' is invalid or out of range for property 'value' of type 'gdouble'
ápr 16 18:54:40 capali gnome-shell[3272]: value "nan" of type 'gdouble' is invalid or out of range for property 'value' of type 'gdouble'
ápr 16 18:54:40 capali gnome-shell[3272]: value "nan" of type 'gdouble' is invalid or out of range for property 'value' of type 'gdouble'
ápr 16 18:54:40 capali gnome-shell[3272]: value "nan" of type 'gdouble' is invalid or out of range for property 'value' of type 'gdouble'

But we can't do anything about it without either a backtrace (which would usually appear in the log), or instructions for how to reproduce the bug.

Revision history for this message
Jonathan Weires (jwrs) wrote :

I made a photo as the problem appeared the last time, this is the view in which I got stuck in.

As soon as the bug appears again, I'll follow the given steps to record the problem.

Revision history for this message
Jonathan Weires (jwrs) wrote :

It looks like the overview that normally launches when you click at the super key, but without search bar and without the possibility to leave the view again (via ESC Key, etc.). Only logging out and in again solves the problem.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Thanks. That kind of reminds me of how the ubuntu-dock works. Please try disabling 'Ubuntu Dock' in the Extensions app and tell us if that then avoids the bug.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

I almost forgot comment #9 seemed to confirm that already. It would be useful to hear from more people still.

tags: added: regression-release
Revision history for this message
Patrick Gillespie (vermontpoet) wrote :

My bug report, Bug 1922353, was marked as a duplicate of this one. It probably is the same bug though the symptoms are a bit different. The only element to "get stuck" was the Ubuntu bar, which I disabled (when it stopped being response to touchpad or touchscreen gestures). Other than that, while "Overview" was unreponsive to the touchscreen or touchpad, I've always been able to "Esc" out of it. I can or can't tab through the choices. Hitting <Return> is usually my only option after searching for an app. Sorry I haven't more to add. I've been avoiding my Surface Go since this bug has cropped up. :( Nothing, not even Windows, works well on this device.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

^^^ that should say bug 1927993 :)

It does sound like this one, but might not be. If enough people here find it's different to what they experience then we might separate that bug again.

Revision history for this message
Xema Fuentes (xemafuentes) wrote :

Happened to me again. Just in case is of help:

1- Computer was some time idle with the browser opened.
2- Updated some flatpaks through the terminal with "flatpak update".
3- Closed the terminal
4- Closed the browser, and then it happened.

File attached following instructions on #20

And following the instructions from the linked website, I don't see any crash reports.

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

FWIW I run into the same issue (21.04/Wayland) as Jonathan described in comment #26 and #27. Don't know how to reproduce it though.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Thanks Xema. Your log at May 14 13:51:06 appears to show the same issue as is fixed in https://gitlab.gnome.org/GNOME/gnome-shell/-/merge_requests/1794 so I am hopeful that will be the fix. I just can't confirm because I don't see any behavioural problems myself, just the log messages.

Revision history for this message
Iain Lane (laney) wrote :

Accepting the rls nomination. Daniel, can you maybe get Marco to review the MR upstream and then prepare backports for ubuntu/debian?

Changed in gnome-shell (Ubuntu Hirsute):
assignee: nobody → Daniel van Vugt (vanvugt)
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Hirsute):
assignee: nobody → Daniel van Vugt (vanvugt)
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
Changed in gnome-shell (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
tags: removed: rls-hh-incoming rls-ii-incoming
Revision history for this message
uriel (urychdz) wrote :

This bug happen to me a lot, but ramdomly. I followed instructions in comment #20 and looks like is the same bug Danien talked in comment #34, there were nothing in /var/crash

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Thanks uriel, that is the same error in your log as comment #34. It seems we have at least some correlation if not causation. I'm not yet convinced it's a fix but can anyone test the patch and verify it fixes this bug?

https://gitlab.gnome.org/GNOME/gnome-shell/-/merge_requests/1794.patch

Maybe we will need a PPA...

Changed in gnome-shell (Ubuntu Hirsute):
status: New → Incomplete
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Hirsute):
status: New → Incomplete
Changed in gnome-shell (Ubuntu Hirsute):
importance: Undecided → High
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Hirsute):
importance: Undecided → High
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Actually there's a simpler way to test if that's the root cause of this bug. Just install the old version of gjs packages:

  https://launchpad.net/ubuntu/+source/gjs/1.67.2-1/+build/21079029

And then reboot. Does version 1.67.2-1 fix it? If so then 1794.patch might work, or we might need to revert more of the changes introduced in gjs 1.67.2-2.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

This should only be needed by gnome-shell 3.38 because the affected code does not exist in gnome-shell 40.

Revision history for this message
Mahdi Rostami (mahdi7d1) wrote :

For me this happens only when I'm using Blender (2.92 installed via snap) and when my system is busy (CPU usage is more than 70%) but because I'm mainly working with blender on my machine that's why this bug has affected me severely. Before starting my new project (that I'm currently working on) I never had experienced this before while ordinary PC usage (browsing web and etc).

Revision history for this message
Stanislav Modrak (smith558) wrote :

Disabling Ubuntu Dock [seems to] resolved this issue for me. Running Ubuntu 21.04 on Wayland with 5.12.6-051206-generic

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Anyone affected by this bug, please try downgrading gjs to 1.67.2-1 by:

  wget https://launchpad.net/ubuntu/+source/gjs/1.67.2-1/+build/21079029/+files/gjs_1.67.2-1_amd64.deb

  wget https://launchpad.net/ubuntu/+source/gjs/1.67.2-1/+build/21079029/+files/libgjs0g_1.67.2-1_amd64.deb

  sudo dpkg -i *gjs*.deb

Then log in again and tell us if the problem still happens (even with Ubuntu Dock).

Revision history for this message
Corey Huinker (corey-huinker) wrote :

Problem persists with Dock, in both Xorg and Wayland.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Someone please follow the instructions in comment #38 or comment #42.

Revision history for this message
Corey Huinker (corey-huinker) wrote :

Sorry didn't provide enough context.

After I installed the downgraded gjs packages, the problem persists with Dock, in both Xorg and Wayland.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Thanks. Did you also log out and log in again?

Revision history for this message
Corey Huinker (corey-huinker) wrote :

Yes.

I downloaded and applied the packages, noting that it was downgrading the version. I logged out. Logged in. Hit the activity key, stuck. Alt-F2 to execute "r" to recover. Logged Out. Logged in again this time under Wayland. Hit activity key, stuck. Alt-F2 to execute "reboot". Then used apt update && apt upgrade to restore the 2 packages to original version.

I'm happy to be a guinea pig for debugging this if you can suggest a lower latency method of communicating.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Thanks again. When it comes to bugs "lower latency" methods of communication are not appropriate. Because we need a single permanent record of the discussion, which is here.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

I'm now convinced this is not a gnome-shell or gjs bug, but more likely an ubuntu-dock bug. Comments #14 and #9 also confirm it, and that dash-to-panel is affected.

affects: gnome-shell (Ubuntu) → gnome-shell-extension-dash-to-panel (Ubuntu)
no longer affects: gnome-shell-extension-dash-to-panel (Ubuntu Hirsute)
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
status: Incomplete → Confirmed
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Hirsute):
status: Incomplete → Confirmed
Changed in gnome-shell-extension-dash-to-panel (Ubuntu):
status: Incomplete → Confirmed
assignee: Daniel van Vugt (vanvugt) → nobody
Revision history for this message
Daniel van Vugt (vanvugt) wrote :
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
status: Confirmed → Incomplete
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Hirsute):
status: Confirmed → Incomplete
Revision history for this message
Luca Bellinzaghi (luca-bellinzaghi) wrote :

With downgraded version of ubuntu-dock the issue persists.

I've found a way to reproduce it:
1) log in
2) press Super + A
3) select an App (Firefox, Files, Editor...)
4) press Super
if I start same Apps from the dock, then no issue.

I've tested it under Wayland.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

That's very good bad news. I can reproduce it now, thanks.

Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Hirsute):
status: Incomplete → Confirmed
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
status: Incomplete → Confirmed
Changed in gnome-shell (Ubuntu):
status: New → Incomplete
importance: Undecided → High
assignee: nobody → Daniel van Vugt (vanvugt)
Revision history for this message
Daniel van Vugt (vanvugt) wrote :
Download full text (3.3 KiB)

Thanks everyone. I can reproduce it now, even without ubuntu-dock. Looks like it is:

  https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/3969

but there are two flavours:

----- This is "normal" when opening the overview ----

May 24 16:15:02 kab gnome-shell[5789]: value "nan" of type 'gfloat' is invalid or out of range for property 'x' of type 'gfloat'
May 24 16:15:02 kab gnome-shell[5789]: value "nan" of type 'gfloat' is invalid or out of range for property 'y' of type 'gfloat'
May 24 16:15:02 kab gnome-shell[5789]: JS ERROR: Exception in callback for signal: shown: Error: Wrong type number; float expected. But it's out of range: -Infinity
                                       _init/GObject.Object.prototype.set@resource:///org/gnome/gjs/modules/core/overrides/GObject.js:553:16
                                       _easeActor@resource:///org/gnome/shell/ui/environment.js:155:15
                                       init/Clutter.Actor.prototype.ease@resource:///org/gnome/shell/ui/environment.js:294:19
                                       _syncWorkspacesActualGeometry@resource:///org/gnome/shell/ui/workspacesView.js:728:21
                                       _init/this._overviewShownId<@resource:///org/gnome/shell/ui/workspacesView.js:396:18
                                       _emit@resource:///org/gnome/gjs/modules/core/_signals.js:114:47
                                       _showDone@resource:///org/gnome/shell/ui/overview.js:604:14
                                       onComplete@resource:///org/gnome/shell/ui/overview.js:589:36
                                       _makeEaseCallback/<@resource:///org/gnome/shell/ui/environment.js:85:13
                                       _easeActor/<@resource:///org/gnome/shell/ui/environment.js:168:64

----- This appears to be the bug(?) -----

May 24 16:15:07 kab gnome-shell[5789]: value "nan" of type 'gfloat' is invalid or out of range for property 'x' of type 'gfloat'
May 24 16:15:07 kab gnome-shell[5789]: value "nan" of type 'gfloat' is invalid or out of range for property 'y' of type 'gfloat'
May 24 16:15:07 kab gnome-shell[5789]: JS ERROR: Error: Wrong type number; float expected. But it's out of range: -Infinity
                                       _init/GObject.Object.prototype.set@resource:///org/gnome/gjs/modules/core/overrides/GObject.js:553:16
                                       _easeActor@resource:///org/gnome/shell/ui/environment.js:155:15
                                       init/Clutter.Actor.prototype.ease@resource:///org/gnome/shell/ui/environment.js:294:19
                                       _syncWorkspacesActualGeometry@resource:///org/gnome/shell/ui/workspacesView.js:728:21
                                       animateToOverview@resource:///org/gnome/shell/ui/workspacesView.js:577:18
                                       animateToOverview@resource:///org/gnome/shell/ui/viewSelector.js:278:33
                                       _animateVisible@resource:///org/gnome/shell/ui/overview.js:582:27
                                       show@resource:///org/gnome/shell/ui/overview.js:568:14
                                       toggle@resource:///org/gno...

Read more...

no longer affects: gnome-shell (Ubuntu)
affects: gnome-shell-extension-ubuntu-dock (Ubuntu) → gnome-shell (Ubuntu)
no longer affects: gnome-shell-extension-dash-to-panel (Ubuntu)
summary: - Overview sometimes fails to appear or disappear in 21.04
+ Overview sometimes fails to appear or disappear in gnome-shell 3.38.4
Changed in gnome-shell (Ubuntu):
status: Confirmed → In Progress
Changed in gnome-shell (Ubuntu Hirsute):
status: Confirmed → In Progress
Changed in gnome-shell (Ubuntu Hirsute):
status: In Progress → Confirmed
Revision history for this message
Daniel van Vugt (vanvugt) wrote : Re: Overview sometimes fails to appear or disappear in gnome-shell 3.38.4

Verified https://gitlab.gnome.org/GNOME/gnome-shell/-/merge_requests/1794 does fix this properly.

The "nan" error messages made me think this was related to recent gjs changes when it's not.

summary: - Overview sometimes fails to appear or disappear in gnome-shell 3.38.4
+ Overview sometimes fails to appear or disappear in gnome-shell 3.38
Revision history for this message
Robert (ra669180) wrote :

Having the exact problem. Whenever I press the Super button it gets stuck and I am forced to restart making it difficult to use.

CPU: Intel Core i5-10400
GPU: Nvidia GTX 1650
OS: 21.04

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

This is now "Won't fix" for Ubuntu 21.10 because the offending code won't exist anymore by the time 21.10 gets GNOME 40.x

A fix will still be created for Ubuntu 21.04.

Changed in gnome-shell (Ubuntu Hirsute):
status: Confirmed → In Progress
Changed in gnome-shell (Ubuntu Impish):
status: In Progress → Won't Fix
Revision history for this message
Daniel van Vugt (vanvugt) wrote :
description: updated
Changed in gnome-shell (Ubuntu Impish):
status: Won't Fix → In Progress
assignee: Daniel van Vugt (vanvugt) → Marco Trevisan (Treviño) (3v1n0)
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Looks like Marco is releasing the fix to both now. In impish-proposed.

Changed in gnome-shell (Ubuntu Hirsute):
status: In Progress → Fix Committed
Changed in gnome-shell (Ubuntu Impish):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.38.4-1ubuntu3

---------------
gnome-shell (3.38.4-1ubuntu3) impish; urgency=medium

  [ Daniel van Vugt ]
  * Add workspacesView-Only-use-valid-allocations-when-avail.patch.
    To stop bogus values being used in _updateWorkspacesActualGeometry(),
    which would cause the overview to fail to toggle. (LP: #1922353)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/patches: Cherry-pick upstream calendar-server crash fix
    (LP: #1915929)

 -- Marco Trevisan (Treviño) <email address hidden> Mon, 31 May 2021 18:51:34 +0200

Changed in gnome-shell (Ubuntu Impish):
status: Fix Committed → Fix Released
Revision history for this message
Jacob Knopp (jacobknopp) wrote :

I have this bug on a fresh install, sort of a bummer. Disabling the dock extension did resolve the issue.

System information:
Dell Inspiron 5502
Intel i7-1165g7
16 GB RAM dual channel (mixed manufacturer, same RAM specs)
Dual NVMe SSDs, with ubuntu/grub isolated to secondary drive, windows 10 on primary drive

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

The fix for 21.04 will come in gnome-shell update 3.38.4-1ubuntu3~21.04.1

Revision history for this message
Manfred Steiner (manfred-steiner) wrote :

I don't think that fix 3.38.4 solves the problem.

It occurs again in my up-to-date Ubuntu 21.04 system with:

Distributor ID: Ubuntu
Description: Ubuntu 21.04
Release: 21.04
Codename: hirsute

and

ii gnome-shell 3.38.4-1ubuntu2 amd64 graphical shell for the GNOME desktop

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

The fix for 21.04 will come _later_ in gnome-shell update 3.38.4-1ubuntu3~21.04.1

3.38.4-1ubuntu3~21.04.1 > 3.38.4-1ubuntu2

Revision history for this message
Timo Aaltonen (tjaalton) wrote : Please test proposed package

Hello Gipsz, or anyone else affected,

Accepted gnome-shell into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.38.4-1ubuntu3~21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-hirsute
Revision history for this message
Adalberto (adaca) wrote :

Hello
I can confirm that release "3.38.4-1ubuntu3~21.04.1" of "gnome-shell" and "gnome-shell-common" packages has solved the issue for me, tested on kernel 5.11.0-19-generic on my Lenovo Yoga 7 laptop.
The fix solved the issue in "Ubuntu on X.org" but also, and more importantly, on standard Wayland user interface!
Now selecting a window in "Activities" effectively switches to that window as expected.

Thank you all for this quick resolution!

tags: added: verification-done-hirsute
removed: verification-needed-hirsute
Revision history for this message
Luca Bellinzaghi (luca-bellinzaghi) wrote :

Hello

tested package: gnome-shell
version: 3.38.4-1ubuntu3~21.04.1

Machine: Lenovo ThinkPad T430

root@TP-T430:~# uname -r
5.11.0-18-generic

root@TP-T430:~# apt-cache policy gnome-shell| grep Install
  Installato: 3.38.4-1ubuntu3~21.04.1

steps undertaken to test:

1. Log into GNOME.
2. Press Super+A
3. Click on 'Files' and wait till it has launched.
4. Press the Super key.

Expected: Can interact with the application window.

Result: I can interact with the system as expected.

This release fixed the bug for me.

Thanks!

Revision history for this message
Gipsz Jakab (tudorapo) wrote : Re: [Bug 1922353] Re: Overview sometimes fails to appear or disappear in gnome-shell 3.38
Download full text (4.7 KiB)

Thank you for the work,
ii gnome-shell 3.38.4-1ubuntu3~21.04.1
ii gnome-shell-common 3.38.4-1ubuntu3~21.04.1
ii gnome-shell-extension-prefs 3.38.4-1ubuntu3~21.04.1

I updated the above packages from proposed updates,
logged out and in to wayland,
enabled the dash-to-panel extension through firefox,
happily pressed the Super key just to check if I get back my desktop ( i did)
and started a few applications via the run field or whatever.

Seems to work.

Regards,

tg

On Fri, 4 Jun 2021 at 11:31, Timo Aaltonen <email address hidden> wrote:
>
> Hello Gipsz, or anyone else affected,
>
> Accepted gnome-shell into hirsute-proposed. The package will build now
> and be available at https://launchpad.net/ubuntu/+source/gnome-
> shell/3.38.4-1ubuntu3~21.04.1 in a few hours, and then in the -proposed
> repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
> to enable and use -proposed. Your feedback will aid us getting this
> update out to other Ubuntu users.
>
> If this package fixes the bug for you, please add a comment to this bug,
> mentioning the version of the package you tested, what testing has been
> performed on the package and change the tag from verification-needed-
> hirsute to verification-done-hirsute. If it does not fix the bug for
> you, please add a comment stating that, and change the tag to
> verification-failed-hirsute. In either case, without details of your
> testing we will not be able to proceed.
>
> Further information regarding the verification process can be found at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
> advance for helping!
>
> N.B. The updated package will be released to -updates after the bug(s)
> fixed by this package have been verified and the package has been in
> -proposed for a minimum of 7 days.
>
> ** Tags added: verification-needed verification-needed-hirsute
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1922353
>
> Title:
> Overview sometimes fails to appear or disappear in gnome-shell 3.38
>
> Status in GNOME Shell:
> Unknown
> Status in gnome-shell package in Ubuntu:
> Fix Released
> Status in gnome-shell source package in Hirsute:
> Fix Committed
> Status in gnome-shell source package in Impish:
> Fix Released
>
> Bug description:
> [Impact]
>
> Shell overview gets stuck where it's permanently toggled but not
> visible. Only app windows appear in their overview state. Can't
> interact with applications anymore.
>
> [Test Plan]
>
> 1. Log into GNOME.
> 2. Press Super+A
> 3. Click on 'Files' and wait till it has launched.
> 4. Press the Super key.
> Expect: Can interact with the application window.
>
> [Where problems could occur]
>
> Since the patch affects some of the core gnome-shell layout logic,
> anything is possible. Risk has been mitigated by the patch being
> small.
>
> [Original description]
>
> When I press the "windows" or "options" or "super" key a list of
> running applications (like alt-tab) and a text window appears. I can
> choose from the run...

Read more...

Revision history for this message
Robert (ra669180) wrote :

How do I install Ubuntu 21.04.1 to test the fix?

Revision history for this message
Marco van Zwetselaar (zwets) wrote :

Confirming that gnome-shell 3.38.4-1ubuntu3~21.04.1 resolves the issue. Thank you for your work, it is much appreciated.

Revision history for this message
michel (michel-alexander) wrote :

This package fixed the bug for me. Thank you :-)

gnome-shell 3.38.4-1ubuntu3~21.04.1

I randomly pressed the "Super" key and clicked on one of the apps displayed.
It works like it should and therefore fixes the problem.

Revision history for this message
Alexey Kulik (doctor-rover) wrote :

I can also confirm that update with hirsute-proposed enabled solves the problem for me.
Before this, the problem used to be readily reproduced by the procedure described in comment #51.

Revision history for this message
Corey Huinker (corey-huinker) wrote :

I manually downloaded gnome-shell 3.38.4-1ubuntu3~21.04.1 and can confirm that it solves the issue for me as well.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.38.4-1ubuntu3~21.04.1

---------------
gnome-shell (3.38.4-1ubuntu3~21.04.1) hirsute; urgency=medium

  * No-change backport to hirsute
  * debian: Update references to debian/hirsute

gnome-shell (3.38.4-1ubuntu3) impish; urgency=medium

  [ Daniel van Vugt ]
  * Add workspacesView-Only-use-valid-allocations-when-avail.patch.
    To stop bogus values being used in _updateWorkspacesActualGeometry(),
    which would cause the overview to fail to toggle. (LP: #1922353)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/patches: Cherry-pick upstream calendar-server crash fix
    (LP: #1915929)

 -- Marco Trevisan (Treviño) <email address hidden> Mon, 31 May 2021 19:11:49 +0200

Changed in gnome-shell (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for gnome-shell has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Robert (ra669180) wrote :

Is 21.04.1 available through the Software Updater?

Revision history for this message
Darren (chilton-darren) wrote :

isn't it because you long press on the super?
then you can long press again on the super to disable this mode.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

> Is 21.04.1 available through the Software Updater?

I don't think there ever will be a 21.04.1 because 21.04 is not a long term supported release. It will reach end of life in January 2022.

> isn't it because you long press on the super? then you can long press again on the super to disable this mode.

I'm not sure that's relevant here. Anyway this bug is now fixed. Anyone still experiencing problems, please open a new bug by running:

  ubuntu-bug gnome-shell

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Possibly Robert asked about version 3.38.4-1ubuntu3~21.04.1 of gnome-shell. In that case the answer is yes, it's available through the Software Updater.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.